## libpisp 1.0.7

=== meson_options.txt ===
# SPDX-License-Identifier: CC0-1.0
# Copyright (C) 2023, Raspberry Pi Ltd

option('logging', type : 'feature', value : 'auto')

=== debian/changelog ===
libpisp (1.0.7-0ubuntu6) plucky; urgency=medium

  * Rebuild

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Feb 2025 17:36:03 -0500

libpisp (1.0.7-0ubuntu5) plucky; urgency=medium

  * Rebuild

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 16:16:54 -0500

libpisp (1.0.7-0ubuntu4) plucky; urgency=medium

  * d/libpisp1.symbols: Revise symbols to fix FTBFS on armhf
    - Added arch= refinements on all differences between arm64 and armhf
    - Marked all boost/stdlib stuff optional

 -- Dave Jones <dave.jones@canonical.com>  Wed, 29 Jan 2025 21:35:05 +0000

libpisp (1.0.7-0ubuntu3) plucky; urgency=medium

  * d/libpisp1.symbols: Add symbols file for libpisp1

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Wed, 15 Jan 2025 19:32:39 +0530

libpisp (1.0.7-0ubuntu2) plucky; urgency=medium

  * d/control:
    - Update Standards-Version
    - Restrict libpisp1 and libpisp-dev to arm64 and armhf

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Thu, 09 Jan 2025 12:52:25 +0530

libpisp (1.0.7-0ubuntu1) plucky; urgency=medium

  * Upload to Ubuntu (LP: #2089646)
  * Fix lintian warning for outdated package (pkg-config)
  * Fix d/copyright

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Fri, 29 Nov 2024 15:04:59 +0530

libpisp (1.0.7-1) bookworm; urgency=medium

  * New upstream version 1.0.7

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 29 Aug 2024 17:32:56 +0100

libpisp (1.0.6-1) bookworm; urgency=medium

  * New upstream version 1.0.6

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jun 2024 11:19:26 +0100

libpisp (1.0.5-1) bookworm; urgency=medium

  * New upstream version 1.0.5

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 17 Apr 2024 15:28:53 +0100

libpisp (1.0.4-1) bookworm; urgency=medium

  * New upstream version 1.0.4
  * d/watch: fix match pattern

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 14 Feb 2024 13:58:39 +0000

libpisp (1.0.2-1) bookworm; urgency=medium

  * New upstream version 1.0.2
  * d/watch: Use the Raspberry Pi Github releases
  * d/gbp.conf: switch to tarball releases
  * d/c: Rename libpisp1.0.0 package to libpisp1

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 22 Nov 2023 18:01:13 +0000

libpisp (1.0.0-1) bookworm; urgency=medium

  * Initial release.

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 26 Sep 2023 10:49:04 +0000

=== debian/control ===
Source: libpisp
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Serge Schneider <serge@raspberrypi.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson,
 pkgconf,
 libboost-log-dev,
 libboost-thread-dev,
 nlohmann-json3-dev
Standards-Version: 4.7.0
Homepage: https://github.com/raspberrypi/libpisp
Vcs-Browser: https://github.com/raspberrypi/libpisp
Vcs-Git: https://github.com/raspberrypi/libpisp.git

Package: libpisp-dev
Section: libdevel
Architecture: arm64 armhf
Multi-Arch: same
Depends:
 libpisp1 (= ${binary:Version}),
 ${misc:Depends},
 nlohmann-json3-dev
Description: Helper library for the PiSP hardware block (development files)
 This library provides helper functions to generate hardware
 configuration for the PiSP hardware blocks.  The configuration
 includes a hardware register specification together with image tiling
 data to be programmed into the PiSP hardware to fully process a given
 Bayer or RGB/YUV image with a set of user defined configuration.
 .
 This package contains the development files.

Package: libpisp1
Architecture: arm64 armhf
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpisp-common (= ${source:Version})
Breaks: libpisp1.0.0
Replaces: libpisp1.0.0
Description: Helper library for the PiSP hardware block (runtime)
 This library provides helper functions to generate hardware
 configuration for the PiSP hardware blocks.  The configuration
 includes a hardware register specification together with image tiling
 data to be programmed into the PiSP hardware to fully process a given
 Bayer or RGB/YUV image with a set of user defined configuration.
 .
 This package contains the runtime library.

Package: libpisp-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Helper library for the PiSP hardware block (data files)
 This library provides helper functions to generate hardware
 configuration for the PiSP hardware blocks.  The configuration
 includes a hardware register specification together with image tiling
 data to be programmed into the PiSP hardware to fully process a given
 Bayer or RGB/YUV image with a set of user defined configuration.
 .
 This package contains the architecture-independent data files.

=== debian/watch ===
version=4
opts="searchmode=plain,\
uversionmangle=s/%2B/+/g" \
https://api.github.com/repos/raspberrypi/@PACKAGE@/releases?per_page=50 \
https://github\.com/[^/]+/[^/]+/releases/download/[^/]+/@PACKAGE@-([^"]+)\.tar\.xz

## libpisp 1.2.0

=== debian/changelog ===
libpisp (1.2.0-2) unstable; urgency=medium

  * Add retagged-v1.2.0.patch due to v1.2.0 which has been upstream retagged.
  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 03 Apr 2025 21:44:41 +0200

libpisp (1.2.0-1) experimental; urgency=medium

  * Initial packaging. (Closes: #1100897)
    Based on the packages from Raspberry Pi OS and Ubuntu.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 22 Mar 2025 10:18:38 +0100

## libpisp 1.2.1

=== debian/changelog ===
libpisp (1.2.1-3) unstable; urgency=medium

  * Cherry-pick upstream patch fixing FTBFS (Closes: #1115167)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 25 Sep 2025 22:34:57 +0200

libpisp (1.2.1-2) unstable; urgency=medium

  * Add patch to make the build reproducible (Closes: #1104546)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 03 May 2025 09:44:51 +0200

libpisp (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Drop patch included in upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 02 May 2025 18:15:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,27 @@
 Source: libpisp
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Serge Schneider <serge@raspberrypi.com>
 Rules-Requires-Root: no
-Build-Depends:
- debhelper-compat (= 13),
- meson,
- pkgconf,
- libboost-log-dev,
- libboost-thread-dev,
- nlohmann-json3-dev
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13),
+               libboost-log-dev,
+               libboost-thread-dev,
+               meson,
+               nlohmann-json3-dev,
+               pkgconf
+Standards-Version: 4.7.2
 Homepage: https://github.com/raspberrypi/libpisp
-Vcs-Browser: https://github.com/raspberrypi/libpisp
-Vcs-Git: https://github.com/raspberrypi/libpisp.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libpisp
+Vcs-Git: https://salsa.debian.org/multimedia-team/libpisp.git
 
 Package: libpisp-dev
 Section: libdevel
-Architecture: arm64 armhf
+Architecture: any
 Multi-Arch: same
-Depends:
- libpisp1 (= ${binary:Version}),
- ${misc:Depends},
- nlohmann-json3-dev
+Depends: libpisp1 (= ${binary:Version}),
+         nlohmann-json3-dev,
+         ${misc:Depends}
 Description: Helper library for the PiSP hardware block (development files)
  This library provides helper functions to generate hardware
  configuration for the PiSP hardware blocks.  The configuration
@@ -34,14 +32,11 @@
  This package contains the development files.
 
 Package: libpisp1
-Architecture: arm64 armhf
+Architecture: any
 Multi-Arch: same
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- libpisp-common (= ${source:Version})
-Breaks: libpisp1.0.0
-Replaces: libpisp1.0.0
+Depends: libpisp-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Helper library for the PiSP hardware block (runtime)
  This library provides helper functions to generate hardware
  configuration for the PiSP hardware blocks.  The configuration

## libpisp 1.3.0

=== meson_options.txt ===
--- 
+++ 
@@ -2,3 +2,4 @@
 # Copyright (C) 2023, Raspberry Pi Ltd
 
 option('logging', type : 'feature', value : 'auto')
+option('examples', type : 'boolean', value : false)

=== debian/changelog ===
libpisp (1.3.0-1) trixie; urgency=medium

  [ Naushir Patuck ]
  * build: Simplify the version file generation
  * build: Bump release version to 1.3.0

  [ Serge Schneider ]
  * Remove merged patches
  * Update maintainer information
  * Update salsa-ci.yml
  * Update debian/watch
  * Add gbp.conf

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Oct 2025 13:13:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: libs
 Priority: optional
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                libboost-log-dev,
                libboost-thread-dev,

=== debian/watch ===
version=4
         opts="mode=git, pgpmode=none" \
         https://github.com/raspberrypi/libpisp.git \
         refs/tags/v@ANY_VERSION@
